
Foreman - Bug #3568

Add facter to Gemfile for source installations

11/04/2013 10:35 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Packaging   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Source installs/checkouts require the facter gem to operate, but this isn't specified as a dependency in the Gemfile.  The intention

was to support people using system packages instead, but by adding a bundler.d/ file, people can exclude this group if they prefer to

use a system package.  Foreman packages themselves won't ship this bundler.d file.

https://github.com/theforeman/foreman/pull/995

Associated revisions

Revision d929ad8a - 11/04/2013 10:36 AM - Dolf Schimmel (Freeaqingme) 

fixes #3568 - adding Facter gem to bundler config

History

#1 - 11/04/2013 11:31 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d929ad8a9545b797f2c3a2b1f6a9d871f65bfe87.

Powered by TCPDF (www.tcpdf.org)

05/18/2024 1/1

https://github.com/theforeman/foreman/pull/995
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/d929ad8a9545b797f2c3a2b1f6a9d871f65bfe87
http://www.tcpdf.org

